/* Reset & Fonts */
:root  {
  --main-grey:#111;
  --main-white:#f5f7fa;
  }

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.hidden {
  display: none;
}

body {
  font-family: 'Arial', sans-serif;
  color: #333;
  background: var(--main-white);
}

body.preload {
  visibility: hidden;
}

.container {
  display: flex;
  height: 100vh;
  overflow: hidden;
}

.italic {
  font-style: italic;
}

.fw100 {
  font-weight: 100;
}

/* Sidebar */

.sidebar-container {

}
.sidebar {
  background: var(--main-white);
  color: white;
  width: 250px;
  transition: width 0.3s;
  display: flex;
  flex-direction: column;
  padding: 0 20px;
  box-sizing: border-box;
}

.sidebar.collapsed {
  width: 70px;
}

.logo {
  width: 100%;
  font-size: 1.5rem;
  text-align: center;
  padding: 1rem 0;
  border-bottom: 1px solid #dadada;
}

.nav ul {
  list-style: none;

}

.nav li {
  margin: 1rem 0;
}

.nav a {
  text-decoration: none;
  color: var(--main-grey);
  display: block;
  padding: 0.5rem 1rem;
  transition: background 0.3s;
  border-radius: 5px;
}

.nav a:hover {
  color: var(--main-white);
  background: var(--main-grey);
  
}

/* Main Content */
.main-content {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.header {
  background: #fff;
  padding: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  margin: 1rem;
  border-radius: 8px;
}

.toggle-btn {
  background: #2d3748;
  color: white;
  border: none;
  padding: 0.5rem 1rem;
  font-size: 1.2rem;
  cursor: pointer;
  border-radius: 5px;
}

.toggle-btn:hover {
  background: #4a5568;
}

h1 {
    font-size: 25px;
}

.logo {
  display: flex;
  align-items: center;
  gap: 10px;
}

#sidebar-logo-favicon {
  width: 33px;
}

#sidebar-logo-text {
  width: 150px;
}




/* Content */

.content-main {
  display: flex;
  gap: 50px;
}
/* Form container */
.form-container {
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  max-width: 500px;
  width: 100%;
  align-self: baseline;

}

/* Form sections */
.form-section {
  margin-bottom: 20px;
}

.form-section h3 {
  font-size: 1em;
  margin-bottom: 10px;
  color:var(--main-grey);
}

/* .form-section.mapping h3 {
  font-size: 1em;
} */

.form-section p {
font-size: .9em;
}

/* File upload styling */
.form-section.mapping .file-label {
  /* display: block; */
  padding: 3px 8px;
  border: 2px dashed var(--main-grey);
  border-radius: 8px;
  text-align: center;
  color: var(--main-grey);
  font-size: .8em;
  cursor: pointer;
  transition: background-color 0.3s ease, color 0.3s ease;
 
}

.form-section.mapping {
  margin-bottom: 30px;
  padding-bottom: 30px;
  border-bottom: 1px dashed #dadada;
}
.form-section #extractDataButton {
margin-top: 20px;
}

#invoiceFolderName {
  padding: 5px 0;
}

#log{
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 20px;
  border-radius: 8px;
  width: 100%;
  max-height: 352px;
  overflow: hidden;

}

#log .log-contents {
  max-height: 270px;
  overflow-y: scroll;
  scroll-padding-bottom: 20px;
  font-size: 13px;
}

#log h3 {
  font-size: 1em;
  margin-bottom: 20px;
}
.mapping-upload {
  display: flex;
  gap: 10px;
  align-items: center;
}

.form-section.bills .file-label {
  display: block;
  padding: 10px 20px;
  border: 2px dashed var(--main-grey);
  border-radius: 8px;
  text-align: center;
  color: var(--main-grey);
  font-size: 1em;
  cursor: pointer;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.form-section .file-label:hover {
  background-color: var(--main-grey);
  color: #fff;
}

.file-input {
  display: none;
}

.file-name {
  margin-top: 10px;
  font-size: 0.9em;
  color: #555;
}

/* Button styling */
.btn {
  display: inline-block;
  width: 100%;
  padding: 12px 20px;
  background-color: var(--main-grey);
  color: #fff;
  border: none;
  border-radius: 8px;
  font-size: 1em;
  cursor: pointer;
  text-align: center;
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
}

.btn:hover {
  background-color: var(--main-grey);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}


#buttonMessage {
  height: 15px;
  font-size: 13px;
  font-weight: 200;
  font-style: italic;
  margin-top: 5px;
}

.red {
  color: red;
}

.green {
  color: green;
}